# EventBase::priorityInit

(PECL event >= 1.2.6-beta)

EventBase::priorityInit — Sets number of priorities per event base

### Description

public EventBase::priorityInit ( int `$n_priorities` ) : bool

Sets number of priorities per event base.

### Parameters

`n_priorities`

  The number of priorities per event base.

### Return Values

Returns `TRUE` on success, otherwise `FALSE`.

### See Also

- Event::setPriority() - Set event priority